/** 繼承樣式 - table */
%table-rounded-border {
  border: 1px solid $gray-200;
  border-radius: 24px;
}

/** table 主體 */
.basic-table {
  @extend %table-rounded-border;
  position: relative;
  z-index: 1;
  border-spacing: 0;
  border-collapse: separate;

  // 設定奇數行背景色
  .tbody-striped tr:nth-child(odd) td {
    background-color: $white;
  }

  // 設定偶數行背景色
  .tbody-striped tr:nth-child(even) {
    background-color: $gray-100;
  }

  // 設定垂直置中
  .tbody-striped td {
    vertical-align: middle;
  }
}
.collapse-table {
  @extend %table-rounded-border;
  position: relative;
  z-index: 100;
  border-spacing: 0;
  border-collapse: separate;
  .thead-tr th:nth-child(1) {
    width: 40px;
    padding: 0;
  }
  .thead-tr th:nth-child(2)::after {
    display: none;
  }
  .arrow-td {
    padding: 0;
    a {
      margin-left: auto;
    }
  }
  .active .arrow-td {
    a {
      transform: rotate(180deg);
    }
  }

  .tbody-striped tr td {
    background-color: $white;
  }
  // 設定折疊表格偶數行背景色
  .tbody-striped tr:nth-child(3n):not(.sub-table-row) td {
    background-color: $gray-100;
  }
  .table-striped > tbody > tr:nth-of-type(odd) {
    --bs-table-accent-bg: #fff;
  }
  .sub-table-row table {
    border-radius: 0;
    td {
      height: 48px;
      padding: 13.5px 24px;
      border: none;
      p {
        margin: 0;
      }
      &:first-child {
        position: relative;
        width: 40px;
        padding: 0;
        overflow: hidden;
        &.branch::before {
          position: absolute;
          top: 50%;
          left: 32px;
          display: block;
          width: 30px;
          height: 48px;
          content: '';
          background-image: url('@/assets/icons/branch.svg');
          transform: translateY(-50%);
        }
        &.branch-last::before {
          position: absolute;
          top: 0;
          left: 32px;
          display: block;
          width: 30px;
          height: 48px;
          content: '';
          background-image: url('@/assets/icons/branch-last.svg');
          background-repeat: no-repeat;
        }
      }
    }
  }
  .sub-table-collapse {
    padding: 0;
  }
  .tbody-striped {
    tr:nth-last-child(2) {
      td:first-child {
        border-bottom-left-radius: 23px;
      }
      td:last-child {
        border-bottom-right-radius: 23px;
      }
    }
  }
}

.table-main {
  --bs-table-bg: #eaeef6;
}
.table-hover > tbody > tr:not(.sub-table-row):hover {
  --bs-table-accent-bg: #fef5e4;
}
.table-hover > tbody > .sub-table-row:hover {
  --bs-table-accent-bg: #fff;
}

/** table thead 圓角 */
.thead-tr th {
  position: relative;
  padding: 12px 24px;
  &:first-child {
    border-top-left-radius: 23px;
  }
  &:last-child {
    border-top-right-radius: 23px;
  }
}

/** table thead 分隔線 */
.thead-tr th:nth-child(n + 2)::after {
  position: absolute;
  top: 15px;
  left: 0;
  width: 1px;
  height: 16px;
  line-height: 120%;
  color: $gray-500;
  content: '|';
}

/** table thead 下邊線 */
.table > :not(:last-child) > :last-child > * {
  vertical-align: middle;
  border-bottom-color: $main;
  border-bottom-width: 2px;
}

/** table tbody 圓角 */
.tbody-striped tr {
  td {
    padding: 17.5px 24px;
    vertical-align: middle;
  }
  &:last-child th {
    border-bottom-width: 0;
    border-bottom-left-radius: 23px;
  }
  &:last-child td {
    border-bottom-width: 0;
  }
  &:last-child td:first-child {
    border-bottom-left-radius: 23px;
  }
  &:last-child td:last-child {
    border-bottom-right-radius: 23px;
  }
}
